Subject: [bug#75402] [PATCH 0/3] Assorted kexec fixes

From: Tomas Volf <[email-masked]>
Date: Tue, 07 Jan 2025 11:58:02 +0100

Ludovic Courtès <[email-masked]> writes:

> Tomas Volf <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> Hello,
>>>
>>> Here’s a bunch of kexec-related fixes for bugs that have been reported
>>> over the past week.
>>>
>>> I checked the ‘kexec_file_load’ binding on i686 and aarch64 this time:
>>> it’s definitely missing on i686, and alright on aarch64.
>>>
>>> I’d like to commit it within a couple of days at most.  Feedback
>>> welcome!
>>
>> While I am hardly an expert here, the changes look reasonable.
>
> Cool.
>
>> One feature request though.  I think it would be nice to get
>> --no-kexec for guix-deploy as well :)
>
> Good point.  I’m not sure where to put it though.  In
> <machine-ssh-configuration>?

I am asking for a command line argument.  Not sure if that does answer
the question.  I am not familiar enough with this part to suggest how to
wire the option through the program flow.

On a separate note, if we would want to disable the kexec in the
definition, I feel like operating-system would be the most fitting
place.  Reason being that either I want to kexec the specific system or
I do not want to kexec it.  But I would expect that to rarely correlate
with the deployment method.  Sometimes I reconfigure the system via
guix-deploy, sometimes (when I break the networking) via
guix-system-reconfigure from USB drive, and it would seem to make sense
to have kexec behave the same way for both of the approaches.

> Thanks!
> Ludo’.

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.